Commit 71a7992c authored by Jan Kiene's avatar Jan Kiene
Browse files

Merge branch 'ci/add-prm-file-for-basop-encoder-tests' into 'basop-ci-branch'

[Ci] add prm file for basop encoder tests

See merge request !1863
parents c02be826 9b658a4f
Loading
Loading
Loading
Loading
+15 −8
Original line number Diff line number Diff line
@@ -456,24 +456,31 @@ check-compatibility-with-basop-reference-branch:
    - cp ivas-basop/IVAS_dec ./IVAS_dec # Not used but needed to launch the pytest
    - python3 ci/remove_unsupported_testcases.py scripts/config/self_test.prm
    - python3 tests/create_short_testvectors.py
    - exit_code1=0
    - exit_code2=0
    - python3 -m pytest tests/codec_be_on_mr_nonselection -v --update_ref 1 --html=report.html --self-contained-html --junit-xml=report-junit.xml || exit_code1=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi

    - python3 -m pytest tests/codec_be_on_mr_nonselection --param_file scripts/config/self_test.prm -v --update_ref 1 --html=report-selftest-full.html --self-contained-html --junit-xml=report-junit-selftest-full.xml || true
    - zero_errors=$(cat report-junit-selftest-full.xml | grep -c 'errors="0"') || true
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered with scripts/config/self_test.prm !"; exit $EXIT_CODE_FAIL; fi

    - python3 -m pytest tests/codec_be_on_mr_nonselection --param_file scripts/config/self_test_basop_encoder.prm -v --update_ref 1 --html=report-selftest-basop-encoder.html --self-contained-html --junit-xml=report-junit-selftest-basop-encoder.xml || true
    - zero_errors=$(cat report-junit-selftest-basop-encoder.xml | grep -c 'errors="0"') || true
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered with scripts/config/self_test_basop_encoder.prm !"; exit $EXIT_CODE_FAIL; fi

    - exit 0
  artifacts:
    name: "check-float-reference--sha-$CI_COMMIT_SHORT_SHA--results"
    when: always
    expire_in: 1 month
    paths:
      - report-junit.xml
      - report.html
      - report-junit-selftest-full.xml
      - report-junit-selftest-basop-encoder.xml
      - report-selftest-full.html
      - report-selftest-basop-encoder.html

    expose_as: "check-float-reference results"
    reports:
      junit:
        - report-junit.xml
        - report-junit-selftest-full.xml
        - report-junit-selftest-basop-encoder.xml

# ---------------------------------------------------------------
# Build jobs